Package org.opensaml.saml.metadata

# Interface IterableMetadataSource

All Superinterfaces:
  `Iterable<EntityDescriptor>`

All Known Implementing Classes:
  `AbstractBatchMetadataResolver`, `AbstractReloadingMetadataResolver`, `DOMMetadataResolver`, `FileBackedHTTPMetadataResolver`, `FilesystemMetadataResolver`, `HTTPMetadataResolver`, `ResourceBackedMetadataResolver`

public interface IterableMetadataSource extends Iterable<EntityDescriptor>
A source of `EntityDescriptor` instances which may be iterated.

## Method Summary

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`